Xerces2 Implementation: Class DTDGrammar.QNameHashtable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class DTDGrammar.QNameHashtable

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.DTDGrammar.QNameHashtable

Enclosing class:
  DTDGrammar

protected static final class DTDGrammar.QNameHashtable
extends java.lang.Object

A simple Hashtable implementation that takes a tuple (String, String) as the key and a int as value.

Author:
  Eric Ye, IBM, Andy Clark, IBM

Field Summary
`static boolean` | `UNIQUE_STRINGS`

Constructor Summary
`protected` | `DTDGrammar.QNameHashtable()`

Method Summary
`int` | `get(java.lang.String key)` Returns the value associated with the specified key tuple.
`protected int` | `hash(java.lang.String symbol)` Returns a hash value for the specified symbol.
`void` | `put(java.lang.String key, int value)` Associates the given value with the specified key tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIQUE_STRINGS

    public static final boolean UNIQUE_STRINGS

Constructor Detail

### DTDGrammar.QNameHashtable

    protected DTDGrammar.QNameHashtable()

Method Detail

### put

    public void put(java.lang.String key,
                    int value)

  Associates the given value with the specified key tuple.

### get

    public int get(java.lang.String key)

  Returns the value associated with the specified key tuple.

### hash

    protected int hash(java.lang.String symbol)

  Returns a hash value for the specified symbol.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.